org.apache.uima.fit.component

## Class CasAnnotator_ImplBase

- java.lang.Object
- - org.apache.uima.analysis_component.AnalysisComponent_ImplBase
  - - org.apache.uima.analysis_component.Annotator_ImplBase
    - - org.apache.uima.analysis_component.CasAnnotator_ImplBase
      - - org.apache.uima.fit.component.CasAnnotator_ImplBase

- All Implemented Interfaces:
    AnalysisComponent
  Direct Known Subclasses:
    NoOpAnnotator

      public abstract class CasAnnotator_ImplBase
      extends CasAnnotator_ImplBase

  Base class for CAS annotators which initializes itself based on annotations.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CasAnnotator_ImplBase()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `initialize(UimaContext context)`

    - ### Methods inherited from class org.apache.uima.analysis_component.CasAnnotator_ImplBase

      `getRequiredCasInterface, process, process, typeSystemInit`

    - ### Methods inherited from class org.apache.uima.analysis_component.Annotator_ImplBase

      `getCasInstancesRequired, hasNext, next`

    - ### Methods inherited from class org.apache.uima.analysis_component.AnalysisComponent_ImplBase

      `batchProcessComplete, collectionProcessComplete, destroy, getContext, getLogger, getResultSpecification, reconfigure, setResultSpecification`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CasAnnotator_ImplBase

          public CasAnnotator_ImplBase()

  - ### Method Detail

    - #### initialize

          public void initialize(UimaContext context)
                          throws ResourceInitializationException

      Specified by:
        `initialize` in interface `AnalysisComponent`
      Overrides:
        `initialize` in class `AnalysisComponent_ImplBase`
      Throws:
        `ResourceInitializationException`

Copyright © 2012–2021 The Apache Software Foundation. All rights reserved.